Bitcoin Forum
December 08, 2016, 06:29:06 PM *
News: To be able to use the next phase of the beta forum software, please ensure that your email address is correct/functional.
 
   Home   Help Search Donate Login Register  
Pages: « 1 2 3 4 5 6 7 [8] 9 10 11 12 13 14 15 16 17 »  All
  Print  
Author Topic: [ANN] Eloipool - FAST Python3 pool server software - GBT/stratum/dyntarget/proxy  (Read 96768 times)
Luke-Jr
Legendary
*
Offline Offline

Activity: 2086



View Profile
May 07, 2013, 07:16:48 PM
 #141



The only supported scenario is:

Code:
client miner <--> eloipool <--> bitcoind
                            |-> mining proxy <--> namecoind


so if 
Code:
client miner <--> eloipool <-->  mining proxy <--> (bitcond + namecoind)
   is WRONG


how to connect eloipool to bitcoind AND to mining proxy  ? 
Code:
client miner <--> eloipool <-->  (mining proxy  + namecoind) <--> bitcoind  ? 

i see that normally mining proxy "split" connection into two daemon (BTC, NMC)

but how to do this in eloipool ?


[/quote]Mining proxy talks to Eloipool and Namecoind, nothing else.

1481221746
Hero Member
*
Offline Offline

Posts: 1481221746

View Profile Personal Message (Offline)

Ignore
1481221746
Reply with quote  #2

1481221746
Report to moderator
1481221746
Hero Member
*
Offline Offline

Posts: 1481221746

View Profile Personal Message (Offline)

Ignore
1481221746
Reply with quote  #2

1481221746
Report to moderator
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
tomaszsz
Member
**
Offline Offline

Activity: 76


View Profile
May 07, 2013, 07:55:06 PM
 #142

Mining proxy talks to Eloipool and Namecoind, nothing else.

so we have this configuration


Code:
client miner <--->  mining proxy <--> eloipool  <---->   bitcoind
                            |
                             | -------> namecoind ?
 


mining proxy command

Code:
python merged-mining-proxy  -w 8330 -p http://ssecreteloipool:222@127.0.0.1:9947/ -x http://namecoinrpc:manecoinrpcpass@localhost:9377/

eloipool config.py


Code:
# Secret username allowed to use setworkaux
SecretUser = "ssecreteloipool"

# Addresses to listen on for JSON-RPC GBT/getwork server
JSONRPCAddresses = (
        ('', 9947),
)



namecoind config

Code:
rpcuser=namecoinrpc
rpcpassword=manecoinrpcpass
 
 
 rpcport=9377


and normal configuracjion connection to bitcoin
Code:
....




why i cannot connect /point miner to 8330 port ? and still get this errors

Quote
001-0: ztex_ufm1_15d4-0001-02-01-1: Error: Invalid length of string: Disabling URL http://serverurl.com:8330 for 60s
...
...
..


miner with eloipool works perfect

but with merged mining configuracion still cannot connect minner to mining proxy ...

what should i change in my configuration  ?
Luke-Jr
Legendary
*
Offline Offline

Activity: 2086



View Profile
May 07, 2013, 08:23:17 PM
 #143

Mining proxy talks to Eloipool and Namecoind, nothing else.

so we have this configuration


Code:
client miner <--->  mining proxy <--> eloipool  <---->   bitcoind
                            |
                             | -------> namecoind ?
 


mining proxy command

Code:
python merged-mining-proxy  -w 8330 -p http://ssecreteloipool:222@127.0.0.1:9947/ -x http://namecoinrpc:manecoinrpcpass@localhost:9377/

eloipool config.py


Code:
# Secret username allowed to use setworkaux
SecretUser = "ssecreteloipool"

# Addresses to listen on for JSON-RPC GBT/getwork server
JSONRPCAddresses = (
        ('', 9947),
)



namecoind config

Code:
rpcuser=namecoinrpc
rpcpassword=manecoinrpcpass
 
 
 rpcport=9377


and normal configuracjion connection to bitcoin
Code:
....




why i cannot connect /point miner to 8330 port ? and still get this errors

Quote
001-0: ztex_ufm1_15d4-0001-02-01-1: Error: Invalid length of string: Disabling URL http://serverurl.com:8330 for 60s
...
...
..


miner with eloipool works perfect

but with merged mining configuracion still cannot connect minner to mining proxy ...

what should i change in my configuration  ?

No.

Miner talks to Eloipool.
Eloipool talks to bitcoind and MMP independently.
MMP talks to namecoind.

tomaszsz
Member
**
Offline Offline

Activity: 76


View Profile
May 08, 2013, 09:58:16 AM
 #144


Miner talks to Eloipool.

ok it is easy Smiley

MMP talks to namecoind.

ok, thats easy too Smiley but


Eloipool talks to bitcoind and MMP independently.

which params (MMP url, MMP host, MMP port ? )

in eloipool makes that eloipool talks to MMP ? 

or my configuration

Quote
mining proxy command

Code:
python merged-mining-proxy  -w 8330 -p http://ssecreteloipool:222@127.0.0.1:9947/ -x http://namecoinrpc:manecoinrpcpass@localhost:9377/

eloipool config.py


Code:
# Secret username allowed to use setworkaux
SecretUser = "ssecreteloipool"

# Addresses to listen on for JSON-RPC GBT/getwork server
JSONRPCAddresses = (
        ('', 9947),
)



namecoind config

Code:
rpcuser=namecoinrpc
rpcpassword=manecoinrpcpass
 
 
 rpcport=9377

is ok, and i should just point miner to eloipool (port 9947 ) , instead  MMP (port 8330)   ?



Luke-Jr
Legendary
*
Offline Offline

Activity: 2086



View Profile
May 08, 2013, 10:01:58 AM
 #145

You're missing the GotWorkURI stuff.

You saw README, right?

tomaszsz
Member
**
Offline Offline

Activity: 76


View Profile
May 08, 2013, 10:13:55 AM
 #146

You're missing the GotWorkURI stuff.

You saw README, right?

yes , i saw

README:
Quote
"Eloipool supports merged mining using the setworkaux/gotwork RPC interface."

and in config.py

Quote
# URI to send gotwork with info for every share submission
#GotWorkURI = ''
and thats ALL...


 

SO
finall configuration

Quote
mining proxy command

Code:
python merged-mining-proxy  -w 8330 -p http://ssecreteloipool:222@127.0.0.1:9947/ -x http://namecoinrpc:manecoinrpcpass@localhost:9377/

eloipool config.py


Code:
# Secret username allowed to use setworkaux
SecretUser = "ssecreteloipool"

# Addresses to listen on for JSON-RPC GBT/getwork server
JSONRPCAddresses = (
        ('', 9947),
)

GotWorkURI = "http://mergedproxyuser:mergedproxypass@127.0.0.1:8330/"





namecoind config

Code:
rpcuser=namecoinrpc
rpcpassword=manecoinrpcpass
 
 
 rpcport=9377



Code:
and user miner program connect to 9947



is it ok ?
Luke-Jr
Legendary
*
Offline Offline

Activity: 2086



View Profile
May 08, 2013, 10:43:48 AM
 #147

Looks okay. Does it work? Smiley

smracer
Donator
Legendary
*
Online Online

Activity: 1022



View Profile
May 09, 2013, 02:53:58 PM
 #148

>>> 2013-05-09 09:52:26,704     sharelogging    ERROR   Error setting up share logger sql: (<class 'NameError'>, NameError("name 'long' is not defined",), <traceback object at 0x1ae0200>)


I am trying to get mysql to record the shares.  I set up the 'shares' table and columns but it is not recording shares.


1smracer15yDLhJG27fd7GV3tegcNjtg2
qubic
Newbie
*
Offline Offline

Activity: 15


View Profile
May 10, 2013, 06:12:44 AM
 #149

I got an error:
Code:
makeCoinbaseTxn ERROR Coinbaser failed!
then i do some debug
line 105 in eloipool.py raise an error
Code:
nout = int(p.stdout.readline())
I guess CoinbaserCmd is invalid, then i run the command in terminal
Code:
echo -e "1\\n$((%d / 100))\\n1579aXhdwvKZEMrAKoCZhzGuqMa8EonuXU"
the result is:
Code:
bash: %d / 100: syntax error: operand expected (error token is "%d / 100")
any ideas?
Luke-Jr
Legendary
*
Offline Offline

Activity: 2086



View Profile
May 10, 2013, 08:10:32 AM
 #150

I got an error:
Code:
makeCoinbaseTxn ERROR Coinbaser failed!
then i do some debug
line 105 in eloipool.py raise an error
Code:
nout = int(p.stdout.readline())
I guess CoinbaserCmd is invalid, then i run the command in terminal
Code:
echo -e "1\\n$((%d / 100))\\n1579aXhdwvKZEMrAKoCZhzGuqMa8EonuXU"
the result is:
Code:
bash: %d / 100: syntax error: operand expected (error token is "%d / 100")
any ideas?
My guess would be a non-BASH default shell...

qubic
Newbie
*
Offline Offline

Activity: 15


View Profile
May 10, 2013, 09:39:40 AM
 #151

I got an error:
Code:
makeCoinbaseTxn ERROR Coinbaser failed!
then i do some debug
line 105 in eloipool.py raise an error
Code:
nout = int(p.stdout.readline())
I guess CoinbaserCmd is invalid, then i run the command in terminal
Code:
echo -e "1\\n$((%d / 100))\\n1579aXhdwvKZEMrAKoCZhzGuqMa8EonuXU"
the result is:
Code:
bash: %d / 100: syntax error: operand expected (error token is "%d / 100")
any ideas?
My guess would be a non-BASH default shell...
I found the reason
Code:
p.stdout.readline()
return
Code:
b'-e 1\n'
My default shell is Bash,I use Python 3.3.1 on Ubuntu
Luke-Jr
Legendary
*
Offline Offline

Activity: 2086



View Profile
May 10, 2013, 09:46:03 AM
 #152

I got an error:
Code:
makeCoinbaseTxn ERROR Coinbaser failed!
then i do some debug
line 105 in eloipool.py raise an error
Code:
nout = int(p.stdout.readline())
I guess CoinbaserCmd is invalid, then i run the command in terminal
Code:
echo -e "1\\n$((%d / 100))\\n1579aXhdwvKZEMrAKoCZhzGuqMa8EonuXU"
the result is:
Code:
bash: %d / 100: syntax error: operand expected (error token is "%d / 100")
any ideas?
My guess would be a non-BASH default shell...
I found the reason
Code:
p.stdout.readline()
return
Code:
b'-e 1\n'
My default shell is Bash,I use Python 3.3.1 on Ubuntu
If your default shell was BASH, you wouldn't get that result.

voidale
Newbie
*
Offline Offline

Activity: 17


View Profile
May 10, 2013, 12:08:59 PM
 #153

Got this new error any idea what this means?


Code:
May 10 08:04:05 <12>Change from height 235474->235476; no longpoll merkleroots available!
May 10 08:04:05 <12>clearMerkleRoots running out! only 0 left

Can anyone tell me how do I upgrade eloipool to latest release? And always was curious why Longpoll woke up has 2 lines and which one of them is accurate one says 20 clients and the other 5 clients weird? Also got another question does increasing the difficulty of shares mining reduces server load?

Code:
Longpoll woke up 20 clients in 0.278 seconds
Waiting 4.58 seconds to longpoll
Longpoll woke up 5 clients in 0.000 seconds

+ Bug Report
Looks like Statrum Protocol isn't working on CPU mining with Ufasoft + Also when trying to connect to eloipool pool server statrum with stratum-mining-proxy (Slush0's) it will not connect and will give the following error:
Code:
2013-05-12 05:18:44,862 WARNING proxy mining_proxy.main # Trying to connect to S
tratum pool at http://mining.ligius.st:3334
Unhandled error in Deferred:
Unhandled Error
Traceback (most recent call last):
Failure: stratum.custom_exceptions.TransportException: SocketTransportClientFact
ory connection timed out
Huh Huh
voidale
Newbie
*
Offline Offline

Activity: 17


View Profile
May 13, 2013, 03:16:43 AM
 #154

***PLEASE HELP***
I tried to upgrade everything python + eloipool. Now my pool doesn't work! It all started with simple
Code:
import jsonrpc
ImportError: No module named jsonrpc

I have tried
Code:
cd python-bitcoinrpc
python3 setup.py build
python3 setup.py install
ls
cp -Rf jsonrpc/ /usr/local/lib/python3.2/dis-packages/

And it made it worse!
Code:
2013-05-12 23:08:19,014 merkleMaker     CRITICAL        Traceback (most recent call last):
  File "/usr/local/lib/python3.2/json/decoder.py", line 361, in raw_decode
    obj, end = self.scan_once(s, idx)
StopIteration

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/eloipool/merklemaker.py", line 692, in run
    self.merkleMaker_I()
  File "/home/eloipool/merklemaker.py", line 682, in merkleMaker_I
    self.merkleMaker_II()
  File "/home/eloipool/merklemaker.py", line 648, in merkleMaker_II
    return self._updateMerkleTree()
  File "/home/eloipool/merklemaker.py", line 548, in _updateMerkleTree
    self._updateMerkleTree_I()
  File "/home/eloipool/merklemaker.py", line 512, in _updateMerkleTree_I
    r = self._updateMerkleTree_fromTS(TS)
  File "/home/eloipool/merklemaker.py", line 477, in _updateMerkleTree_fromTS
    MP = self._CallGBT(TS)
  File "/home/eloipool/merklemaker.py", line 327, in _CallGBT
    MP = access.getblocktemplate(self.GBTReq)
  File "/usr/local/lib/python3.2/site-packages/bitcoinrpc/authproxy.py", line 102, in __call__
    response = self._get_response()
  File "/usr/local/lib/python3.2/site-packages/bitcoinrpc/authproxy.py", line 128, in _get_response
    parse_float=decimal.Decimal)
  File "/usr/local/lib/python3.2/json/__init__.py", line 320, in loads
    return cls(**kw).decode(s)
  File "/usr/local/lib/python3.2/json/decoder.py", line 345, in decode
    obj, end = self.raw_decode(s, idx=_w(s, 0).end())
  File "/usr/local/lib/python3.2/json/decoder.py", line 363, in raw_decode
    raise ValueError("No JSON object could be decoded")
ValueError: No JSON object could be decoded

*** Solution***
found old pantehicon's fix!
A quick fix is to decode the bytes into UTF-8. On line 72 of bitcoinrpc/authproxy.py change:

Code:
Code:
self.__auth_header = "Basic %s" % base64.b64encode(authpair)
to read:

Code:
self.__auth_header = "Basic %s" % base64.b64encode(authpair).decode()

Hope this helps
Anonymailer
aka BitBacco
Hero Member
*****
Offline Offline

Activity: 654



View Profile WWW
May 18, 2013, 12:10:44 AM
 #155

what config would be required to run as a sub pool of eligius?

MacMiner - The first, best and easiest to use native Mac coin mining app: https://bitcointalk.org/index.php?topic=197110.0

BTC: 12vZf8mjaXvHorXWVWfv7nZspHa8L8kfoG LTC: LLRqwo3YcLqoRyfZRVmUevtd2Y35Vvnt4w
optimator
Sr. Member
****
Offline Offline

Activity: 351



View Profile WWW
May 20, 2013, 05:24:27 PM
 #156

I have Eloipool up and running on Testnet.

When I find a block I receive this message in the log file:

Code:
2013-05-20 17:21:33,131 blockSubmission DEBUG Upstream 'primary' accepted block
2013-05-20 17:21:33,241 redflag CRITICAL Upstream 'primary' block submission failed: rejected

However, it appears the network has accepted the block.

Any ideas why I'm getting the "redflag" message?


tomaszsz
Member
**
Offline Offline

Activity: 76


View Profile
May 20, 2013, 08:42:04 PM
 #157

Looks okay. Does it work? Smiley
yes Smiley  many thanks Smiley
merged mining work ! (but i dont find any block yet )

but from time to time i get

Code:
2013-05-20T20:40:39.879372,solve,?,0,2125c31fb29aa6947264472d420e5f9e5582ef21576640c5eab4a4a300000000
Could not connect to http://127.0.0.1:9947/
Parent setworkaux failed: http://127.0.0.1:9947/
2013-05-20T20:40:40.001529,updateaux
2013-05-20T20:40:41.056715,solve,?,0,10cfc91c8c7b6dfa4c19fe0a8497411b9e439091da62c2bd6a9cd8d900000000


is it something with multithreading in eloipool  ?
tomaszsz
Member
**
Offline Offline

Activity: 76


View Profile
May 20, 2013, 08:44:25 PM
 #158

I got an error:
Code:
makeCoinbaseTxn ERROR Coinbaser failed!
then i do some debug
line 105 in eloipool.py raise an error
Code:
nout = int(p.stdout.readline())
I guess CoinbaserCmd is invalid, then i run the command in terminal
Code:
echo -e "1\\n$((%d / 100))\\n1579aXhdwvKZEMrAKoCZhzGuqMa8EonuXU"
the result is:
Code:
bash: %d / 100: syntax error: operand expected (error token is "%d / 100")
any ideas?
My guess would be a non-BASH default shell...
I found the reason
Code:
p.stdout.readline()
return
Code:
b'-e 1\n'
My default shell is Bash,I use Python 3.3.1 on Ubuntu
If your default shell was BASH, you wouldn't get that result.

i have the same with BASH, python 3.2 , on ubuntu 12.

commenting CoinbaserCmd, may help but it isn't good solution...
tomaszsz
Member
**
Offline Offline

Activity: 76


View Profile
May 20, 2013, 08:47:58 PM
 #159

>>> 2013-05-09 09:52:26,704     sharelogging    ERROR   Error setting up share logger sql: (<class 'NameError'>, NameError("name 'long' is not defined",), <traceback object at 0x1ae0200>)


I am trying to get mysql to record the shares.  I set up the 'shares' table and columns but it is not recording shares.



please post your config with Sharelogging section
optimator
Sr. Member
****
Offline Offline

Activity: 351



View Profile WWW
May 23, 2013, 05:47:46 PM
 #160

I'm using bitcoind 0.8.1 and I'm getting a GBT timeout error.

Here is the logfile:

Code:
2013-05-23 17:39:48,777 newBlockNotification INFO Received new block notification
2013-05-23 17:40:14,456 merkleMaker CRITICAL Traceback (most recent call last):
  File "/home/ubuntu/eloipool/merklemaker.py", line 692, in run
    self.merkleMaker_I()
  File "/home/ubuntu/eloipool/merklemaker.py", line 682, in merkleMaker_I
    self.merkleMaker_II()
  File "/home/ubuntu/eloipool/merklemaker.py", line 660, in merkleMaker_II
    return self._updateMerkleTree()
  File "/home/ubuntu/eloipool/merklemaker.py", line 548, in _updateMerkleTree
    self._updateMerkleTree_I()
  File "/home/ubuntu/eloipool/merklemaker.py", line 512, in _updateMerkleTree_I
    r = self._updateMerkleTree_fromTS(TS)
  File "/home/ubuntu/eloipool/merklemaker.py", line 477, in _updateMerkleTree_fromTS
    MP = self._CallGBT(TS)
  File "/home/ubuntu/eloipool/merklemaker.py", line 327, in _CallGBT
    MP = access.getblocktemplate(self.GBTReq)
  File "/home/ubuntu/python-bitcoinrpc/jsonrpc/authproxy.py", line 100, in __call__
    httpresp = self.__conn.getresponse()
  File "/usr/lib/python3.2/http/client.py", line 1049, in getresponse
    response.begin()
  File "/usr/lib/python3.2/http/client.py", line 346, in begin
    version, status, reason = self._read_status()
  File "/usr/lib/python3.2/http/client.py", line 308, in _read_status
    line = str(self.fp.readline(_MAXLINE + 1), "iso-8859-1")
  File "/usr/lib/python3.2/socket.py", line 276, in readinto
    return self._sock.recv_into(b)
socket.timeout: timed out

2013-05-23 17:40:25,337 merkleMaker INFO New block: 00000000000001328ed5ecd715bbb72648832c108b521720bfa7127af2d07639 (height: 237559; bits: 1a017fe9)

You can see eloipool receives the new block notification, attempts to build the merkle tree using the transactions from GBT but then times out.

It's almost 50 seconds later the new block is pushed to the clients.

Any idea what is causing this error?

Pages: « 1 2 3 4 5 6 7 [8] 9 10 11 12 13 14 15 16 17 »  All
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!